/*
 * Copyright 2015 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_SIDEBAR_H
#define OCARINA_GUI_SIDEBAR_H
#include <gui/builder.h>

/* Called to initialize the sidebar. */
void gui_sidebar_init();

/* Called to get the sidebar widget. */
static inline GtkPaned *gui_sidebar()
{
	return GTK_PANED(gui_builder_widget("sidebar"));
}

/* Called to get the sidebar treestore. */
static inline GtkTreeStore *gui_sidebar_store()
{
	return GTK_TREE_STORE(gui_builder_object("sidebar_store"));
}

/* Called to get the sidebar treemodel. */
static inline GtkTreeModel *gui_sidebar_model()
{
	return GTK_TREE_MODEL(gui_builder_object("sidebar_store"));
}

/* Called to get the sidebar filter model. */
static inline GtkTreeModelFilter *gui_sidebar_filter()
{
	return GTK_TREE_MODEL_FILTER(gui_builder_object("sidebar_filter"));
}

#endif /* OCARINA_GUI_SIDEBAR_H */
